
#define PIN 12

// setting PWM properties
const int freq = 5000;
const int ledChannel = 0;
const int resolution = 8;

void setup() {
// configure PWM functionalitites
  ledcSetup(ledChannel, freq, resolution);
  
  // attach the channel to the GPIO to be controlled
  ledcAttachPin(PIN, ledChannel);
}

void loop() {
  // increase the amplitude
  for(int dutyCycle = 0; dutyCycle <= 255; dutyCycle++){
    ledcSetup(ledChannel, dutyCycle*20, resolution);
    ledcWrite(ledChannel, dutyCycle);
    delay(15);
  }

  // decrease the amplitude
  for(int dutyCycle = 255; dutyCycle >= 0; dutyCycle--){
    ledcSetup(ledChannel, dutyCycle*20, resolution);
    ledcWrite(ledChannel, dutyCycle);   
    delay(15);
  }
}
